actions: []
api_documentation: http://docs.ros.org/en/noetic/api/cob_generic_can/html
authors: Christian Connette
brief: ''
bugtracker: ''
depends:
- catkin
- cob_utilities
- libntcan
- libpcan
- socketcan_interface
depends_on:
- cob_base_drive_chain
- cob_canopen_motor
- cob_driver
description: The package cob_generic_can provides an interface for nodes on a can-bus
  and examplary wrappers for two PeakSys-can-libs. When a can-bus-device is generated
  (for an example see base_dirve_chain) you can use generic_can to create as many
  itfs as there will be components communicating via this can-bus. Assign type of
  the can communication device (e.g. usb-to-can or can-card of a specific vendor)
  and can-address of the target device. This package comes with wrappers for PeakSys
  and PeakSysUSB adapters.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__cob_driver__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__cob_driver__ubuntu_focal_amd64
has_changelog_rst: true
license: Apache 2.0
maintainer_status: maintained
maintainers: Matthias Gruhler <mig@ipa.fhg.de>
metapackages:
- cob_driver
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__cob_generic_can__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__cob_generic_can__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__cob_generic_can__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__cob_generic_can__ubuntu_focal_arm64__binary
repo_name: cob_driver
repo_url: ''
srvs: []
timestamp: 1714646349.1126812
url: http://ros.org/wiki/cob_generic_can
vcs: git
vcs_uri: https://github.com/4am-robotics/cob_driver.git
vcs_version: kinetic_release_candidate
